import { IptcData } from "./IptcData";
export interface BufferType {
    length: number;
    readUInt16BE(_: number): number;
    readInt16BE(_: number): number;
    readInt32BE(_: number): number;
    slice(a: number, b: number): BufferType;
    toString(_: string): string;
}
export declare class IptcParser {
    /**
     *
     * @param buffer
     * @returns {IptcData}
     * @throws string
     */
    static parse(buffer: BufferType): IptcData;
    static readIPTCData(buffer: BufferType, start?: number, length?: number): IptcData;
    private static extractIPTCFieldsFromBlock;
    private static extractBlocks;
}
